diff --git a/doc/bash.0 b/doc/bash.0
index cec51773..29769d53 100644
--- a/doc/bash.0
+++ b/doc/bash.0
@@ -1744,169 +1753,169 @@ EEXXPPAANNSSIIOONN
               ``_c_o_m_m_a_n_d``
 
        BBaasshh performs the expansion by executing _c_o_m_m_a_n_d and replacing the com-
-       mand substitution with the standard output of  the  command,  with  any
+       mand  substitution  with  the  standard output of the command, with any
        trailing newlines deleted.  Embedded newlines are not deleted, but they
-       may be removed during word splitting.  The command  substitution  $$((ccaatt
+       may  be  removed during word splitting.  The command substitution $$((ccaatt
        _f_i_l_e)) can be replaced by the equivalent but faster $$((<< _f_i_l_e)).
 
-       When  the  old-style  backquote form of substitution is used, backslash
-       retains its literal meaning except when followed by $$, ``,  or  \\.   The
+       When the old-style backquote form of substitution  is  used,  backslash
+       retains  its  literal  meaning except when followed by $$, ``, or \\.  The
        first backquote not preceded by a backslash terminates the command sub-
-       stitution.  When using the $(_c_o_m_m_a_n_d) form, all characters between  the
+       stitution.   When using the $(_c_o_m_m_a_n_d) form, all characters between the
        parentheses make up the command; none are treated specially.
 
        Command substitutions may be nested.  To nest when using the backquoted
        form, escape the inner backquotes with backslashes.
 
-       If the substitution appears within double quotes,  word  splitting  and
+       If  the  substitution  appears within double quotes, word splitting and
        pathname expansion are not performed on the results.
 
    AArriitthhmmeettiicc EExxppaannssiioonn
-       Arithmetic  expansion allows the evaluation of an arithmetic expression
-       and the substitution of the result.  The format for  arithmetic  expan-
+       Arithmetic expansion allows the evaluation of an arithmetic  expression
+       and  the  substitution of the result.  The format for arithmetic expan-
        sion is:
 
               $$((((_e_x_p_r_e_s_s_i_o_n))))
 
-       The  _e_x_p_r_e_s_s_i_o_n  is  treated  as if it were within double quotes, but a
-       double quote inside the parentheses  is  not  treated  specially.   All
+       The _e_x_p_r_e_s_s_i_o_n is treated as if it were within  double  quotes,  but  a
+       double  quote  inside  the  parentheses  is not treated specially.  All
        tokens in the expression undergo parameter and variable expansion, com-
-       mand substitution, and quote removal.  The result  is  treated  as  the
-       arithmetic  expression  to  be evaluated.  Arithmetic expansions may be
+       mand  substitution,  and  quote  removal.  The result is treated as the
+       arithmetic expression to be evaluated.  Arithmetic  expansions  may  be
        nested.
 
-       The evaluation is performed according to the rules listed  below  under
+       The  evaluation  is performed according to the rules listed below under
        AARRIITTHHMMEETTIICC EEVVAALLUUAATTIIOONN.  If _e_x_p_r_e_s_s_i_o_n is invalid, bbaasshh prints a message
        indicating failure and no substitution occurs.
 
    PPrroocceessss SSuubbssttiittuuttiioonn
-       _P_r_o_c_e_s_s _s_u_b_s_t_i_t_u_t_i_o_n is supported on systems that support  named  pipes
-       (_F_I_F_O_s)  or the //ddeevv//ffdd method of naming open files.  It takes the form
-       of <<((_l_i_s_t)) or >>((_l_i_s_t)).  The process _l_i_s_t is run with its input or  out-
+       _P_r_o_c_e_s_s  _s_u_b_s_t_i_t_u_t_i_o_n  is supported on systems that support named pipes
+       (_F_I_F_O_s) or the //ddeevv//ffdd method of naming open files.  It takes the  form
+       of  <<((_l_i_s_t)) or >>((_l_i_s_t)).  The process _l_i_s_t is run with its input or out-
        put connected to a _F_I_F_O or some file in //ddeevv//ffdd.  The name of this file
-       is passed as an argument to the current command as the  result  of  the
-       expansion.   If the >>((_l_i_s_t)) form is used, writing to the file will pro-
-       vide input for _l_i_s_t.  If the <<((_l_i_s_t)) form is used, the file  passed  as
+       is  passed  as  an argument to the current command as the result of the
+       expansion.  If the >>((_l_i_s_t)) form is used, writing to the file will  pro-
+       vide  input  for _l_i_s_t.  If the <<((_l_i_s_t)) form is used, the file passed as
        an argument should be read to obtain the output of _l_i_s_t.
 
-       When  available,  process substitution is performed simultaneously with
-       parameter and variable expansion, command substitution, and  arithmetic
+       When available, process substitution is performed  simultaneously  with
+       parameter  and variable expansion, command substitution, and arithmetic
        expansion.
 
    WWoorrdd SSpplliittttiinngg
-       The  shell  scans the results of parameter expansion, command substitu-
-       tion, and arithmetic expansion that did not occur within double  quotes
+       The shell scans the results of parameter expansion,  command  substitu-
+       tion,  and arithmetic expansion that did not occur within double quotes
        for _w_o_r_d _s_p_l_i_t_t_i_n_g.
 
-       The  shell  treats each character of IIFFSS as a delimiter, and splits the
-       results of the other expansions into words using  these  characters  as
-       field   terminators.   If  IIFFSS  is  unset,  or  its  value  is  exactly
-       <<ssppaaccee>><<ttaabb>><<nneewwlliinnee>>, the default, then sequences of  <<ssppaaccee>>,  <<ttaabb>>,
-       and  <<nneewwlliinnee>>  at the beginning and end of the results of the previous
-       expansions are ignored, and any sequence of IIFFSS characters not  at  the
-       beginning  or  end  serves  to delimit words.  If IIFFSS has a value other
+       The shell treats each character of IIFFSS as a delimiter, and  splits  the
+       results  of  the  other expansions into words using these characters as
+       field  terminators.   If  IIFFSS  is  unset,  or  its  value  is   exactly
+       <<ssppaaccee>><<ttaabb>><<nneewwlliinnee>>,  the  default, then sequences of <<ssppaaccee>>, <<ttaabb>>,
+       and <<nneewwlliinnee>> at the beginning and end of the results of  the  previous
+       expansions  are  ignored, and any sequence of IIFFSS characters not at the
+       beginning or end serves to delimit words.  If IIFFSS  has  a  value  other
        than the default, then sequences of the whitespace characters ssppaaccee and
-       ttaabb  are  ignored  at the beginning and end of the word, as long as the
-       whitespace character is in the value of IIFFSS (an IIFFSS whitespace  charac-
-       ter).   Any character in IIFFSS that is not IIFFSS whitespace, along with any
-       adjacent IIFFSS whitespace characters, delimits a field.   A  sequence  of
+       ttaabb are ignored at the beginning and end of the word, as  long  as  the
+       whitespace  character is in the value of IIFFSS (an IIFFSS whitespace charac-
+       ter).  Any character in IIFFSS that is not IIFFSS whitespace, along with  any
+       adjacent  IIFFSS  whitespace  characters, delimits a field.  A sequence of
        IIFFSS whitespace characters is also treated as a delimiter.  If the value
        of IIFFSS is null, no word splitting occurs.
 
-       Explicit null arguments ("""" or '''')  are  retained.   Unquoted  implicit
+       Explicit  null  arguments  (""""  or '''') are retained.  Unquoted implicit
        null arguments, resulting from the expansion of parameters that have no
-       values, are removed.  If a parameter with no value is  expanded  within
+       values,  are  removed.  If a parameter with no value is expanded within
        double quotes, a null argument results and is retained.
 
        Note that if no expansion occurs, no splitting is performed.
 
    PPaatthhnnaammee EExxppaannssiioonn
-       After  word  splitting,  unless  the --ff option has been set, bbaasshh scans
-       each word for the characters **, ??, and [[.  If one of  these  characters
-       appears,  then  the word is regarded as a _p_a_t_t_e_r_n, and replaced with an
-       alphabetically sorted list of filenames matching the pattern (see  PPaatt--
-       tteerrnn  MMaattcchhiinngg  below).   If  no  matching filenames are found, and the
-       shell option nnuullllgglloobb is not enabled, the word is left  unchanged.   If
-       the  nnuullllgglloobb  option  is  set,  and  no matches are found, the word is
-       removed.  If the ffaaiillgglloobb shell option  is  set,  and  no  matches  are
+       After word splitting, unless the --ff option has  been  set,  bbaasshh  scans
+       each  word  for the characters **, ??, and [[.  If one of these characters
+       appears, then the word is regarded as a _p_a_t_t_e_r_n, and replaced  with  an
+       alphabetically  sorted list of filenames matching the pattern (see PPaatt--
+       tteerrnn MMaattcchhiinngg below).  If no matching  filenames  are  found,  and  the
+       shell  option  nnuullllgglloobb is not enabled, the word is left unchanged.  If
+       the nnuullllgglloobb option is set, and no  matches  are  found,  the  word  is
+       removed.   If  the  ffaaiillgglloobb  shell  option  is set, and no matches are
        found, an error message is printed and the command is not executed.  If
-       the shell option nnooccaasseegglloobb is enabled, the match is performed  without
-       regard  to  the  case of alphabetic characters.  When a pattern is used
-       for pathname expansion, the character ````..''''  at the start of a name  or
-       immediately  following  a  slash must be matched explicitly, unless the
+       the  shell option nnooccaasseegglloobb is enabled, the match is performed without
+       regard to the case of alphabetic characters.  When a  pattern  is  used
+       for  pathname expansion, the character ````..''''  at the start of a name or
+       immediately following a slash must be matched  explicitly,  unless  the
        shell option ddoottgglloobb is set.  When matching a pathname, the slash char-
-       acter  must  always  be  matched explicitly.  In other cases, the ````..''''
+       acter must always be matched explicitly.  In  other  cases,  the  ````..''''
        character is not treated specially.  See the description of sshhoopptt below
        under SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS for a description of the nnooccaasseegglloobb, nnuullll--
        gglloobb, ffaaiillgglloobb, and ddoottgglloobb shell options.
 
-       The GGLLOOBBIIGGNNOORREE shell variable may be used to restrict the set of  file-
+       The  GGLLOOBBIIGGNNOORREE shell variable may be used to restrict the set of file-
        names matching a _p_a_t_t_e_r_n.  If GGLLOOBBIIGGNNOORREE is set, each matching filename
        that also matches one of the patterns in GGLLOOBBIIGGNNOORREE is removed from the
        list of matches.  If the nnooccaasseegglloobb option is set, the matching against
-       the patterns in GGLLOOBBIIGGNNOORREE is performed without regard  to  case.   The
-       filenames  ````..''''  and ````....''''  are always ignored when GGLLOOBBIIGGNNOORREE is set
-       and not null.  However, setting GGLLOOBBIIGGNNOORREE to a non-null value has  the
-       effect  of  enabling  the  ddoottgglloobb shell option, so all other filenames
-       beginning with a ````..''''  will match.  To get the old behavior of  ignor-
-       ing  filenames beginning with a ````..'''', make ````..**''''  one of the patterns
-       in GGLLOOBBIIGGNNOORREE.  The ddoottgglloobb  option  is  disabled  when  GGLLOOBBIIGGNNOORREE  is
+       the  patterns  in  GGLLOOBBIIGGNNOORREE is performed without regard to case.  The
+       filenames ````..''''  and ````....''''  are always ignored when GGLLOOBBIIGGNNOORREE is  set
+       and  not null.  However, setting GGLLOOBBIIGGNNOORREE to a non-null value has the
+       effect of enabling the ddoottgglloobb shell option,  so  all  other  filenames
+       beginning  with a ````..''''  will match.  To get the old behavior of ignor-
+       ing filenames beginning with a ````..'''', make ````..**''''  one of the  patterns
+       in  GGLLOOBBIIGGNNOORREE.   The  ddoottgglloobb  option  is  disabled when GGLLOOBBIIGGNNOORREE is
        unset.
 
        PPaatttteerrnn MMaattcchhiinngg
 
        Any character that appears in a pattern, other than the special pattern
-       characters described below, matches itself.  The NUL character may  not
-       occur  in  a pattern.  A backslash escapes the following character; the
-       escaping backslash is discarded when  matching.   The  special  pattern
+       characters  described below, matches itself.  The NUL character may not
+       occur in a pattern.  A backslash escapes the following  character;  the
+       escaping  backslash  is  discarded  when matching.  The special pattern
        characters must be quoted if they are to be matched literally.
 
        The special pattern characters have the following meanings:
 
-              **      Matches  any string, including the null string.  When the
-                     gglloobbssttaarr shell option is enabled, and  **  is  used  in  a
-                     pathname  expansion  context,  two  adjacent **s used as a
-                     single pattern will match all  files  and  zero  or  more
-                     directories  and subdirectories.  If followed by a //, two
-                     adjacent **s will match only directories  and  subdirecto-
+              **      Matches any string, including the null string.  When  the
+                     gglloobbssttaarr  shell  option  is  enabled,  and ** is used in a
+                     pathname expansion context, two adjacent  **s  used  as  a
+                     single  pattern  will  match  all  files and zero or more
+                     directories and subdirectories.  If followed by a //,  two
+                     adjacent  **s  will match only directories and subdirecto-
                      ries.
               ??      Matches any single character.
-              [[......]]  Matches  any  one  of the enclosed characters.  A pair of
-                     characters separated by a hyphen denotes a _r_a_n_g_e  _e_x_p_r_e_s_-
-                     _s_i_o_n;  any character that falls between those two charac-
-                     ters, inclusive, using  the  current  locale's  collating
-                     sequence  and  character  set,  is matched.  If the first
+              [[......]]  Matches any one of the enclosed characters.   A  pair  of
+                     characters  separated by a hyphen denotes a _r_a_n_g_e _e_x_p_r_e_s_-
+                     _s_i_o_n; any character that falls between those two  charac-
+                     ters,  inclusive,  using  the  current locale's collating
+                     sequence and character set, is  matched.   If  the  first
                      character following the [[ is a !!  or a ^^ then any charac-
-                     ter  not enclosed is matched.  The sorting order of char-
-                     acters in range expressions is determined by the  current
-                     locale  and  the values of the LLCC__CCOOLLLLAATTEE or LLCC__AALLLL shell
+                     ter not enclosed is matched.  The sorting order of  char-
+                     acters  in range expressions is determined by the current
+                     locale and the values of the LLCC__CCOOLLLLAATTEE or  LLCC__AALLLL  shell
                      variables, if set.  To obtain the traditional interpreta-
-                     tion  of  range expressions, where [[aa--dd]] is equivalent to
-                     [[aabbccdd]], set value of the LLCC__AALLLL shell variable to  CC,  or
-                     enable  the  gglloobbaasscciiiirraannggeess  shell  option.   A -- may be
+                     tion of range expressions, where [[aa--dd]] is  equivalent  to
+                     [[aabbccdd]],  set  value of the LLCC__AALLLL shell variable to CC, or
+                     enable the gglloobbaasscciiiirraannggeess shell  option.   A  --  may  be
                      matched by including it as the first or last character in
                      the set.  A ]] may be matched by including it as the first
                      character in the set.
 
-                     Within [[ and ]], _c_h_a_r_a_c_t_e_r _c_l_a_s_s_e_s can be specified  using
+                     Within  [[ and ]], _c_h_a_r_a_c_t_e_r _c_l_a_s_s_e_s can be specified using
                      the syntax [[::_c_l_a_s_s::]], where _c_l_a_s_s is one of the following
                      classes defined in the POSIX standard:
-                     aallnnuumm aallpphhaa aasscciiii bbllaannkk ccnnttrrll  ddiiggiitt  ggrraapphh  lloowweerr  pprriinntt
+                     aallnnuumm  aallpphhaa  aasscciiii  bbllaannkk  ccnnttrrll ddiiggiitt ggrraapphh lloowweerr pprriinntt
                      ppuunncctt ssppaaccee uuppppeerr wwoorrdd xxddiiggiitt
                      A character class matches any character belonging to that
                      class.  The wwoorrdd character class matches letters, digits,
                      and the character _.
 
-                     Within  [[  and  ]],  an _e_q_u_i_v_a_l_e_n_c_e _c_l_a_s_s can be specified
+                     Within [[ and ]], an _e_q_u_i_v_a_l_e_n_c_e  _c_l_a_s_s  can  be  specified
                      using the syntax [[==_c==]], which matches all characters with
-                     the  same  collation  weight  (as  defined by the current
+                     the same collation weight  (as  defined  by  the  current
                      locale) as the character _c.
 
                      Within [[ and ]], the syntax [[.._s_y_m_b_o_l..]] matches the collat-
                      ing symbol _s_y_m_b_o_l.
 
        If the eexxttgglloobb shell option is enabled using the sshhoopptt builtin, several
-       extended pattern matching operators are recognized.  In  the  following
+       extended  pattern  matching operators are recognized.  In the following
        description, a _p_a_t_t_e_r_n_-_l_i_s_t is a list of one or more patterns separated
        by a ||.  Composite patterns may be formed using one or more of the fol-
        lowing sub-patterns:
@@ -1924,58 +1933,58 @@ EEXXPPAANNSSIIOONN
 
    QQuuoottee RReemmoovvaall
        After the preceding expansions, all unquoted occurrences of the charac-
-       ters \\, '', and "" that did not result from one of the  above  expansions
+       ters  \\,  '', and "" that did not result from one of the above expansions
        are removed.
 
 RREEDDIIRREECCTTIIOONN
-       Before  a  command  is executed, its input and output may be _r_e_d_i_r_e_c_t_e_d
-       using a special notation interpreted by the shell.  Redirection  allows
-       commands'  file handles to be duplicated, opened, closed, made to refer
+       Before a command is executed, its input and output  may  be  _r_e_d_i_r_e_c_t_e_d
+       using  a special notation interpreted by the shell.  Redirection allows
+       commands' file handles to be duplicated, opened, closed, made to  refer
        to different files, and can change the files the command reads from and
-       writes  to.  Redirection may also be used to modify file handles in the
-       current shell execution environment.  The following redirection  opera-
+       writes to.  Redirection may also be used to modify file handles in  the
+       current  shell execution environment.  The following redirection opera-
        tors may precede or appear anywhere within a _s_i_m_p_l_e _c_o_m_m_a_n_d or may fol-
-       low a _c_o_m_m_a_n_d.  Redirections are processed in the  order  they  appear,
+       low  a  _c_o_m_m_a_n_d.   Redirections are processed in the order they appear,
        from left to right.
 
-       Each  redirection  that may be preceded by a file descriptor number may
+       Each redirection that may be preceded by a file descriptor  number  may
        instead be preceded by a word of the form {_v_a_r_n_a_m_e}.  In this case, for
        each redirection operator except >&- and <&-, the shell will allocate a
-       file descriptor greater than or equal to 10 and assign it  to  _v_a_r_n_a_m_e.
-       If  >&-  or  <&- is preceded by {_v_a_r_n_a_m_e}, the value of _v_a_r_n_a_m_e defines
+       file  descriptor  greater than or equal to 10 and assign it to _v_a_r_n_a_m_e.
+       If >&- or <&- is preceded by {_v_a_r_n_a_m_e}, the value  of  _v_a_r_n_a_m_e  defines
        the file descriptor to close.
 
-       In the following descriptions, if the file descriptor number  is  omit-
-       ted,  and the first character of the redirection operator is <<, the re-
-       direction refers to the standard input (file  descriptor  0).   If  the
-       first  character  of  the  redirection  operator  is >>, the redirection
+       In  the  following descriptions, if the file descriptor number is omit-
+       ted, and the first character of the redirection operator is <<, the  re-
+       direction  refers  to  the  standard input (file descriptor 0).  If the
+       first character of the  redirection  operator  is  >>,  the  redirection
        refers to the standard output (file descriptor 1).
 
-       The word following the redirection operator in the  following  descrip-
-       tions,  unless  otherwise noted, is subjected to brace expansion, tilde
-       expansion, parameter  and  variable  expansion,  command  substitution,
-       arithmetic  expansion,  quote  removal,  pathname  expansion,  and word
+       The  word  following the redirection operator in the following descrip-
+       tions, unless otherwise noted, is subjected to brace  expansion,  tilde
+       expansion,  parameter  and  variable  expansion,  command substitution,
+       arithmetic expansion,  quote  removal,  pathname  expansion,  and  word
        splitting.  If it expands to more than one word, bbaasshh reports an error.
 
-       Note that the order of redirections is significant.  For  example,  the
+       Note  that  the order of redirections is significant.  For example, the
        command
 
               ls >> dirlist 2>>&&1
 
-       directs  both  standard  output and standard error to the file _d_i_r_l_i_s_t,
+       directs both standard output and standard error to  the  file  _d_i_r_l_i_s_t,
        while the command
 
               ls 2>>&&1 >> dirlist
 
-       directs only the standard output to file _d_i_r_l_i_s_t, because the  standard
-       error  was duplicated from the standard output before the standard out-
+       directs  only the standard output to file _d_i_r_l_i_s_t, because the standard
+       error was duplicated from the standard output before the standard  out-
        put was redirected to _d_i_r_l_i_s_t.
 
        BBaasshh handles several filenames specially when they are used in redirec-
        tions, as described in the following table:
 
               //ddeevv//ffdd//_f_d
-                     If  _f_d  is  a valid integer, file descriptor _f_d is dupli-
+                     If _f_d is a valid integer, file descriptor  _f_d  is  dupli-
                      cated.
               //ddeevv//ssttddiinn
                      File descriptor 0 is duplicated.
@@ -1985,22 +1994,22 @@ RREEDDIIRREECCTTIIOONN
                      File descriptor 2 is duplicated.
               //ddeevv//ttccpp//_h_o_s_t//_p_o_r_t
                      If _h_o_s_t is a valid hostname or Internet address, and _p_o_r_t
-                     is  an integer port number or service name, bbaasshh attempts
+                     is an integer port number or service name, bbaasshh  attempts
                      to open the corresponding TCP socket.
               //ddeevv//uuddpp//_h_o_s_t//_p_o_r_t
                      If _h_o_s_t is a valid hostname or Internet address, and _p_o_r_t
-                     is  an integer port number or service name, bbaasshh attempts
+                     is an integer port number or service name, bbaasshh  attempts
                      to open the corresponding UDP socket.
 
        A failure to open or create a file causes the redirection to fail.
 
-       Redirections using file descriptors greater than 9 should be used  with
-       care,  as they may conflict with file descriptors the shell uses inter-
+       Redirections  using file descriptors greater than 9 should be used with
+       care, as they may conflict with file descriptors the shell uses  inter-
        nally.
 
    RReeddiirreeccttiinngg IInnppuutt
        Redirection of input causes the file whose name results from the expan-
-       sion  of  _w_o_r_d  to  be  opened for reading on file descriptor _n, or the
+       sion of _w_o_r_d to be opened for reading on  file  descriptor  _n,  or  the
        standard input (file descriptor 0) if _n is not specified.
 
        The general format for redirecting input is:
@@ -2008,27 +2017,27 @@ RREEDDIIRREECCTTIIOONN
               [_n]<<_w_o_r_d
 
    RReeddiirreeccttiinngg OOuuttppuutt
-       Redirection of output causes the  file  whose  name  results  from  the
+       Redirection  of  output  causes  the  file  whose name results from the
        expansion of _w_o_r_d to be opened for writing on file descriptor _n, or the
        standard output (file descriptor 1) if _n is not specified.  If the file
-       does  not exist it is created; if it does exist it is truncated to zero
+       does not exist it is created; if it does exist it is truncated to  zero
        size.
 
        The general format for redirecting output is:
 
               [_n]>>_w_o_r_d
 
-       If the redirection operator is >>, and the nnoocclloobbbbeerr option to  the  sseett
-       builtin  has  been enabled, the redirection will fail if the file whose
-       name results from the expansion of _w_o_r_d exists and is a  regular  file.
+       If  the  redirection operator is >>, and the nnoocclloobbbbeerr option to the sseett
+       builtin has been enabled, the redirection will fail if the  file  whose
+       name  results  from the expansion of _w_o_r_d exists and is a regular file.
        If the redirection operator is >>||, or the redirection operator is >> and
        the nnoocclloobbbbeerr option to the sseett builtin command is not enabled, the re-
        direction is attempted even if the file named by _w_o_r_d exists.
 
    AAppppeennddiinngg RReeddiirreecctteedd OOuuttppuutt
-       Redirection  of  output  in  this  fashion  causes  the file whose name
-       results from the expansion of _w_o_r_d to be opened for appending  on  file
-       descriptor  _n,  or  the standard output (file descriptor 1) if _n is not
+       Redirection of output in  this  fashion  causes  the  file  whose  name
+       results  from  the expansion of _w_o_r_d to be opened for appending on file
+       descriptor _n, or the standard output (file descriptor 1) if  _n  is  not
        specified.  If the file does not exist it is created.
 
        The general format for appending output is:
@@ -2036,11 +2045,11 @@ RREEDDIIRREECCTTIIOONN
               [_n]>>>>_w_o_r_d
 
    RReeddiirreeccttiinngg SSttaannddaarrdd OOuuttppuutt aanndd SSttaannddaarrdd EErrrroorr
-       This construct allows both the standard output (file descriptor 1)  and
-       the  standard  error output (file descriptor 2) to be redirected to the
+       This  construct allows both the standard output (file descriptor 1) and
+       the standard error output (file descriptor 2) to be redirected  to  the
        file whose name is the expansion of _w_o_r_d.
 
-       There are two formats for  redirecting  standard  output  and  standard
+       There  are  two  formats  for  redirecting standard output and standard
        error:
 
               &&>>_w_o_r_d
@@ -2052,13 +2061,13 @@ RREEDDIIRREECCTTIIOONN
 
               >>_w_o_r_d 2>>&&1
 
-       When using the second form, _w_o_r_d may not expand to a number or  --.   If
-       it  does,  other  redirection  operators  apply  (see  DDuupplliiccaattiinngg FFiillee
+       When  using  the second form, _w_o_r_d may not expand to a number or --.  If
+       it does,  other  redirection  operators  apply  (see  DDuupplliiccaattiinngg  FFiillee
        DDeessccrriippttoorrss below) for compatibility reasons.
 
    AAppppeennddiinngg SSttaannddaarrdd OOuuttppuutt aanndd SSttaannddaarrdd EErrrroorr
-       This construct allows both the standard output (file descriptor 1)  and
-       the  standard  error  output  (file descriptor 2) to be appended to the
+       This  construct allows both the standard output (file descriptor 1) and
+       the standard error output (file descriptor 2) to  be  appended  to  the
        file whose name is the expansion of _w_o_r_d.
 
        The format for appending standard output and standard error is:
@@ -2072,10 +2081,10 @@ RREEDDIIRREECCTTIIOONN
        (see DDuupplliiccaattiinngg FFiillee DDeessccrriippttoorrss below).
 
    HHeerree DDooccuummeennttss
-       This type of redirection instructs the shell to  read  input  from  the
+       This  type  of  redirection  instructs the shell to read input from the
        current source until a line containing only _d_e_l_i_m_i_t_e_r (with no trailing
-       blanks) is seen.  All of the lines read up to that point are then  used
-       as  the  standard  input (or file descriptor _n if _n is specified) for a
+       blanks)  is seen.  All of the lines read up to that point are then used
+       as the standard input (or file descriptor _n if _n is  specified)  for  a
        command.
 
        The format of here-documents is:
@@ -2084,18 +2093,18 @@ RREEDDIIRREECCTTIIOONN
                       _h_e_r_e_-_d_o_c_u_m_e_n_t
               _d_e_l_i_m_i_t_e_r
 
-       No parameter and variable expansion, command  substitution,  arithmetic
-       expansion,  or pathname expansion is performed on _w_o_r_d.  If any charac-
-       ters in _w_o_r_d are quoted, the _d_e_l_i_m_i_t_e_r is the result of  quote  removal
-       on  _w_o_r_d, and the lines in the here-document are not expanded.  If _w_o_r_d
-       is unquoted, all lines of the here-document are subjected to  parameter
-       expansion,  command substitution, and arithmetic expansion, the charac-
-       ter sequence \\<<nneewwlliinnee>> is ignored, and \\ must be  used  to  quote  the
+       No  parameter  and variable expansion, command substitution, arithmetic
+       expansion, or pathname expansion is performed on _w_o_r_d.  If any  charac-
+       ters  in  _w_o_r_d are quoted, the _d_e_l_i_m_i_t_e_r is the result of quote removal
+       on _w_o_r_d, and the lines in the here-document are not expanded.  If  _w_o_r_d
+       is  unquoted, all lines of the here-document are subjected to parameter
+       expansion, command substitution, and arithmetic expansion, the  charac-
+       ter  sequence  \\<<nneewwlliinnee>>  is  ignored, and \\ must be used to quote the
        characters \\, $$, and ``.
 
        If the redirection operator is <<<<--, then all leading tab characters are
-       stripped from input lines and  the  line  containing  _d_e_l_i_m_i_t_e_r.   This
-       allows  here-documents within shell scripts to be indented in a natural
+       stripped  from  input  lines  and  the line containing _d_e_l_i_m_i_t_e_r.  This
+       allows here-documents within shell scripts to be indented in a  natural
        fashion.
 
    HHeerree SSttrriinnggss
